# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cloud_terrastodon_azure_resource_types"
version = "0.28.0"
authors = ["TeamDman"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generated enum for Azure resource types for use in the Cloud Terrastodon project"
readme = false
license = "LiLiQ-R-1.1"
repository = "https://github.com/AAFC-Cloud/Cloud-Terrastodon.git"

[lib]
name = "cloud_terrastodon_azure_resource_types"
path = "src/lib.rs"

[dependencies.cloud_terrastodon_command]
version = "0.28.0"

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[dev-dependencies.eyre]
version = "0.6.12"

[dev-dependencies.prettyplease]
version = "0.2.25"

[dev-dependencies.proc-macro2]
version = "1.0.89"

[dev-dependencies.quote]
version = "1.0.37"

[dev-dependencies.serde_json]
version = "1.0.116"

[dev-dependencies.syn]
version = "2.0.106"
features = [
    "full",
    "parsing",
    "printing",
]
default-features = false

[dev-dependencies.tokio]
version = "1.44.2"
features = ["full"]
